MolDrawing.h File Reference
`#include <vector>`
`#include <boost/foreach.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/Depictor/RDDepictor.h>`
`#include <Geometry/point.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::Drawing
| RDKit::Drawing::detail

## Typedefs

typedef int | RDKit::Drawing::ElementType

## Enumerations

enum | RDKit::Drawing::PrimType { RDKit::Drawing::LINE =1, RDKit::Drawing::WEDGE, RDKit::Drawing::ATOM, RDKit::Drawing::BOUNDS, RDKit::Drawing::RESOLUTION }
enum | RDKit::Drawing::OrientType { RDKit::Drawing::C =0, RDKit::Drawing::N, RDKit::Drawing::E, RDKit::Drawing::S, RDKit::Drawing::W }

## Functions

void | RDKit::Drawing::detail::drawLine (std::vector< ElementType > &res, int atnum1, int atnum2, int lineWidth, int dashed, double x1, double y1, double x2, double y2)
std::pair< std::string, OrientType > | RDKit::Drawing::detail::getAtomSymbolAndOrientation (const Atom &atom, RDGeom::Point2D nbrSum)
std::vector< ElementType > | RDKit::Drawing::DrawMol (const ROMol &mol, int confId=-1, const std::vector< int > *highlightAtoms=0, bool includeAtomCircles=false, unsigned int dotsPerAngstrom=100, double dblBondOffset=0.3, double dblBondLengthFrac=0.8, double angstromsPerChar=0.20)
std::vector< int > | RDKit::Drawing::MolToDrawing (const RDKit::ROMol &mol, const std::vector< int > *highlightAtoms=0, bool kekulize=true, bool includeAtomCircles=false)